osgAnimation::Vec3ArrayPacked Struct Reference

`#include <Vec3Packed>`

## Public Member Functions

void | analyze (const std::vector< osg::Vec3 > &src)
void | compress (const std::vector< osg::Vec3 > &src)

## Public Attributes

std::vector< Vec3Packed > | mVecCompressed
osg::Vec3 | mMin
osg::Vec3 | mScale
osg::Vec3 | mScaleInv

## Member Function Documentation

## analyze()

void osgAnimation::Vec3ArrayPacked::analyze | ( | const std::vector< osg::Vec3 > & | src | ) |

inline

References osg::maximum(), osg::minimum(), mMin, mScale, and mScaleInv.

## compress()

void osgAnimation::Vec3ArrayPacked::compress | ( | const std::vector< osg::Vec3 > & | src | ) |

inline

References compress(), mMin, mScaleInv, and mVecCompressed.

Referenced by compress().

## Member Data Documentation

## mMin

osg::Vec3 osgAnimation::Vec3ArrayPacked::mMin

Referenced by analyze(), and compress().

## mScale

osg::Vec3 osgAnimation::Vec3ArrayPacked::mScale

Referenced by analyze().

## mScaleInv

osg::Vec3 osgAnimation::Vec3ArrayPacked::mScaleInv

Referenced by analyze(), and compress().

## mVecCompressed

std::vector<Vec3Packed> osgAnimation::Vec3ArrayPacked::mVecCompressed

Referenced by compress().

The documentation for this struct was generated from the following file:

- Vec3Packed